%define debug_package %{nil}

%define _disable_source_fetch 0

%global base_name firefox-wayland

%define release_version f40

Name: %{base_name}
Version: 125.0.3
Release: 1%{?dist}
Summary: Mozilla Firefox Wayland script and desktop file
License: MPLv1.1 or GPLv2+ or LGPLv2+

Source0: https://src.fedoraproject.org/rpms/firefox/raw/%{release_version}/f/%{base_name}.sh.in
Source1: https://src.fedoraproject.org/rpms/firefox/raw/%{release_version}/f/%{base_name}.desktop

%description
%{summary}

%prep
%setup -q -c -T -n %{name}-%{version}
cp %{SOURCE0} firefox-wayland.sh.in
cp %{SOURCE1} firefox-wayland.desktop

%build
# Nothing to build

%install
# 將下載的腳本內容替換為正確的路徑
sed -i 's|/__PREFIX__|/usr|g' %{SOURCE0}

# 將修改後的腳本安裝到 /usr/bin/firefox-wayland
install -Dpm 0755 %{SOURCE0} %{buildroot}%{_bindir}/firefox-wayland

mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 firefox-wayland.desktop %{buildroot}%{_datadir}/applications/

%files

%{_bindir}/firefox-wayland
%{_datadir}/applications/firefox-wayland.desktop

%changelog
* Thu May 09 2024 Sam Weng <eyes1971@livemail.tw> - 125.0.3-1
- Initial package
